Bug 154664 - Kxkb breaks accelerators
Kxkb breaks accelerators
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-13 09:06 EDT by Dimitri Papadopoulos
Modified: 2009-01-08 23:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:31:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of Kxkb and gedit, ready to reproduce the bug (13.06 KB, image/png)
2005-04-13 09:14 EDT, Dimitri Papadopoulos
no flags Details

  None (edit)
Description Dimitri Papadopoulos 2005-04-13 09:06:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
My locale is fr_FR and I'm trying to write Greek text under KDE.
I'm using Kxkb, Kxkb is activated and running.

I switch to Greek input using Kxkb. Unfortunately as soon as I do that, accelerators don't work anymore. The reason is that Kxkb maps the keyboard even when Alt or Ctrl are pressed. For example Ctrl+F is transformed into Ctrl+Φ. That shouldn't happen. In any case that's not what applications expect (I've tried OpenOffice.org and different KDE and Gnome applications such as Kate or gedit).


Version-Release number of selected component (if applicable):
kdebase-3.3.1-4.3.FC3

How reproducible:
Always

Steps to Reproduce:
1. Have Kxkb activated and running.
3. Run xev.
2. Select English or French input in Kxkb.
3. Press Ctrl+F in xev.
4. Select Greek Input (el) in Kxkb.
5. Press Ctrl+F in xev.
  

Actual Results:  KeyPress event, serial 31, synthetic NO, window 0x2a00001,
    root 0xd6, subw 0x0, time 5448380, (125,48), root:(1223,357),
    state 0x0, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 31, synthetic NO, window 0x2a00001,
    root 0xd6, subw 0x0, time 5449796, (125,48), root:(1223,357),
    state 0x4, keycode 41 (keysym 0x7f6, Greek_phi), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 2 bytes: (cf 86) "φ"
    XFilterEvent returns: False

KeyRelease event, serial 31, synthetic NO, window 0x2a00001,
    root 0xd6, subw 0x0, time 5449892, (125,48), root:(1223,357),
    state 0x4, keycode 41 (keysym 0x7f6, Greek_phi), same_screen YES,
    XLookupString gives 0 bytes:

KeyRelease event, serial 31, synthetic NO, window 0x2a00001,
    root 0xd6, subw 0x0, time 5450196, (125,48), root:(1223,357),
    state 0x4, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes:


Expected Results:  KeyPress event, serial 30, synthetic NO, window 0x2a00001,
    root 0xd6, subw 0x0, time 5385367, (120,125), root:(1218,434),
    state 0x0, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 30, synthetic NO, window 0x2a00001,
    root 0xd6, subw 0x0, time 5387423, (120,125), root:(1218,434),
    state 0x4, keycode 41 (keysym 0x66, f), same_screen YES,
    XLookupString gives 1 bytes: (06) ""
    XmbLookupString gives 1 bytes: (06) ""
    XFilterEvent returns: False

KeyRelease event, serial 30, synthetic NO, window 0x2a00001,
    root 0xd6, subw 0x0, time 5387519, (120,125), root:(1218,434),
    state 0x4, keycode 41 (keysym 0x66, f), same_screen YES,
    XLookupString gives 1 bytes: (06) ""

KeyRelease event, serial 30, synthetic NO, window 0x2a00001,
    root 0xd6, subw 0x0, time 5388495, (120,125), root:(1218,434),
    state 0x4, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes:


Additional info:
Comment 1 Dimitri Papadopoulos 2005-04-13 09:14:14 EDT
Created attachment 113091 [details]
screenshot of Kxkb and gedit, ready to reproduce the bug

Hitting Ctrl+C or Ctrl+V inside gedit doesn't have any effect. It should copy
or paste instead.
Comment 2 Simos Xenitellis 2006-02-26 18:23:12 EST
I cannot reproduce with GTK+ applications (like gedit).
Shortcuts work no matter in which layout the keyboard is set.
As far as I know, GTK+ managed to solve this issue in around 2001.
Comment 3 David Eisenstein 2006-02-27 17:56:42 EST
Reporter:  

When you wrote this bug report, the current version of the kdebase package was
kdebase-3.3.1-4.3.FC3.  In the meantime, the most recent FC3 version of this
became kdebase-3.4.2-0.fc3.3.  Please give this newer version a try and let
us know if the problem persists?

Also, if you're now using Fedora Core 4, you may want to see if it is fixed in
that version.  If it is not, you may want to re-file this bug for FC4 and
close this one.  In any event, let us know?

FC3 is now being maintained by Fedora Legacy.  We focus almost exclusively on
security and critical bug-fixes, so updates we do will be to the kdebase-
3.4.2-0.fc3.3 package for those kinds of bugs.  At the moment, we have
a bug open (see Bug #180057) for kdebase for a low-priority security flaw,
to be fixed with security patches supplied from upstream (http://www.kde.org/).  

If your problem indeed persists with kxkb in this newer FC3 kdebase-3.4.2-
0.fc3.3, you can help us out by contacting upstream about the problem and
letting us know if the issue has a patch available.  We in Fedora Legacy
may not have the time nor the expertise ourselves to fix the problem you
report here.

Placing the bug in "DEFER" category, for now, and NEEDINFO_REPORTER.

Thanks.
Comment 4 Jesse Keating 2006-08-13 09:56:57 EDT
Not a security issue.
Comment 5 Dimitri Papadopoulos 2006-08-20 01:52:38 EDT
The problem is still there in Fedora Core 5.

Also I can reproduce it with KDE as well as GTK+ applications such as gedit.
That's not suprprizing since it's probably a problem with the codes Kxkb itself
sends to the applications, not with the toolkit used by the application. Simo,
are you running KDE or Gnome?
Comment 6 David Eisenstein 2006-08-29 23:59:33 EDT
Since reporter has changed this bug back to Fedora Core 5, reopening bug and
reassigning bug to its Fedora Core maintainer, Ngo Than.  Removing Fedora Legacy
stuff from bug.
Comment 7 David Eisenstein 2006-08-30 00:01:53 EDT
Reassigning bug to Fedora Core maintainer - Ngo Than.
Comment 8 Lukáš Tinkl 2008-01-02 09:09:08 EST
Since this bug is very old, can you please check against a more recent release 
of kdebase (from an updated F7 or F8), thx

I believe this has been fixed some time ago in KDE itself
Comment 9 Dimitri Papadopoulos 2008-01-02 11:55:40 EST
I can still reproduce this with Fedora 8.
Comment 10 Bug Zapper 2008-11-26 01:49:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-08 23:31:46 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.